Bug 709778 - livecd-iso-to-disk will not created bootable F15 install usb key.
Summary: livecd-iso-to-disk will not created bootable F15 install usb key.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 13
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-01 15:34 UTC by Clyde E. Kunkel
Modified: 2011-06-27 11:41 UTC (History)
6 users (show)

Fixed In Version: livecd-tools-13.3-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 11:41:42 UTC
Type: ---


Attachments (Terms of Use)

Description Clyde E. Kunkel 2011-06-01 15:34:57 UTC
Description of problem:
livecd-iso-to-disk will not created bootable F15 install usb key from F15 DVD .iso

Version-Release number of selected component (if applicable):
livecd-tools-13.2-1.fc13.x86_64

How reproducible:
every time

Steps to Reproduce:
1. insert usb key, then unmount it
2. follow procedures in http://fedoraproject.org/wiki/How_to_create_and_use_Live_USB
3. insert key in a test machine and power on
  
Actual results:
error msgs: missing operating system

Expected results:
F15 install menu

Additional info:
Here is a transcript of how I always build the bootable usb key in rawhide or F15 except it is done on a Fedora 13 system, completely updated:
**************NOTE: 8GB usb pen drive inserted here. It had a working F15 DVD.iso installed on it...

[root@P5K-EWIFI ~]# dmesg | tail
sd 10:0:0:0: [sdh] Write Protect is off
sd 10:0:0:0: [sdh] Mode Sense: 43 00 00 00
sd 10:0:0:0: [sdh] Assuming drive cache: write through
sd 10:0:0:0: [sdh] Assuming drive cache: write through
 sdh: sdh1
sd 10:0:0:0: [sdh] Assuming drive cache: write through
sd 10:0:0:0: [sdh] Attached SCSI removable disk
EXT4-fs (sdh1): recovery complete
EXT4-fs (sdh1): mounted filesystem with ordered data mode
SELinux: initialized (dev sdh1, type ext4), uses xattr
[root@P5K-EWIFI ~]# ls /media
LIVE
[root@P5K-EWIFI ~]# ls /media/live
ls: cannot access /media/live: No such file or directory
[root@P5K-EWIFI ~]# ls /media/LIVE
Fedora-15-x86_64-DVD.iso  images  lost+found  syslinux
[root@P5K-EWIFI ~]# ls /media/LIVE
Fedora-15-x86_64-DVD.iso  images  lost+found  syslinux
[root@P5K-EWIFI ~]# umount /dev/sdh1
[root@P5K-EWIFI ~]# livecd-iso-to-disk --format --reset-mbr /data/Fedora/15/*.iso /dev/sdh1
Verifying image...
/data/Fedora/15/Fedora-15-x86_64-DVD.iso:   52fa5a15a47abe4475e5b09641a18667
Fragment sums: 9554a83b8241976a7ccad82c6797f213cd8e45e6b899adab2687eab12c6c
Fragment count: 20
Checking: 100.0%

The media check is complete, the result is: PASS.

It is OK to use this media.
WARNING: THIS WILL DESTROY ANY DATA ON /dev/sdh!!!
Press Enter to continue or ctrl-c to abort

Waiting for devices to settle...
mke2fs 1.41.10 (10-Feb-2009)
Filesystem label=LIVE
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
Stride=0 blocks, Stripe width=0 blocks
494832 inodes, 1977856 blocks
98892 blocks (5.00%) reserved for the super user
First data block=0
Maximum filesystem blocks=2025848832
61 block groups
32768 blocks per group, 32768 fragments per group
8112 inodes per group
Superblock backups stored on blocks: 
	32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632

Writing inode tables: done                            
Creating journal (32768 blocks): done
Writing superblocks and filesystem accounting information: done

This filesystem will be automatically checked every 34 mounts or
180 days, whichever comes first.  Use tune2fs -c or -i to override.
/data/Fedora/15/Fedora-15-x86_64-DVD.iso uses initrd.img w/o install.img
Size of DVD image: 3434
Size of isolinux/initrd.img: 95
Available space: 7074
**************************NOTE: usb automounted here.***************************
Copying DVD image to USB stick
Updating boot config file
Installing boot loader
extlinux: cannot find device for path /media/usbdev.1pzoOo/syslinux
USB stick set up as live image!
[root@P5K-EWIFI ~]# ls /media
[root@P5K-EWIFI ~]# mount
/dev/mapper/VolGroup00-fedora13 on / type ext4 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
tmpfs on /dev/shm type tmpfs (rw,rootcontext="system_u:object_r:tmpfs_t:s0")
/dev/sdb5 on /boot type ext4 (rw)
/dev/sdf2 on /data type ext3 (rw)
/dev/mapper/VolGroup01-clydehome on /home type ext4 (rw)
/dev/sdf1 on /mnt/masterboot type ext4 (rw)
/dev/sdf6 on /mnt/seti type ext3 (rw)
/dev/sdf3 on /mnt/share type vfat (rw,umask=0077,shortname=winnt)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
gvfs-fuse-daemon on /home/kunkelc/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev,user=kunkelc)
[root@P5K-EWIFI ~]# umount /dev/sdh1
umount: /dev/sdh1: not mounted
[root@P5K-EWIFI ~]# mount /dev/sdh1 /media
[root@P5K-EWIFI ~]# ls /media
Fedora-15-x86_64-DVD.iso  images  lost+found  syslinux
[root@P5K-EWIFI ~]# umount /media
*********************NOTE: here stick was placed in another test machine, but would not boot.  Following are the msgs (hand transcribed):

Missing Operating System.

Reboot and Select proper Boot Device
or insert Boot Media in selected Boot device and press a key.

********************NOTE:  removed stick from test machine and reinserted in F13 machine and continued with process that works in rawhide and F15.

[root@P5K-EWIFI ~]# ls /media
LIVE
[root@P5K-EWIFI ~]# umount /dev/sdh1
[root@P5K-EWIFI ~]# livecd-iso-to-disk /data/Fedora/15/*.iso /dev/sdh1
Verifying image...
/data/Fedora/15/Fedora-15-x86_64-DVD.iso:   52fa5a15a47abe4475e5b09641a18667
Fragment sums: 9554a83b8241976a7ccad82c6797f213cd8e45e6b899adab2687eab12c6c
Fragment count: 20
Checking: 100.0%

The media check is complete, the result is: PASS.

It is OK to use this media.
/data/Fedora/15/Fedora-15-x86_64-DVD.iso uses initrd.img w/o install.img
Size of DVD image: 3434
Size of isolinux/initrd.img: 95
Available space: 6976
Copying DVD image to USB stick
Updating boot config file
Installing boot loader
extlinux: cannot find device for path /media/usbdev.M96t3P/syslinux
USB stick set up as live image!

[root@P5K-EWIFI ~]# 
*************************NOTE: removed stick and inserted in test machine and received same messages as above re: missing operating system.
*************************NOTE: put stick back in F13 machine
[root@P5K-EWIFI ~]# ls /media
LIVE
[root@P5K-EWIFI ~]# ls /media/live
ls: cannot access /media/live: No such file or directory
[root@P5K-EWIFI ~]# ls /media/LIVE
Fedora-15-x86_64-DVD.iso  images  lost+found  syslinux
[root@P5K-EWIFI ~]# 

*************************NOTE:  reboot into rawhide and repeated above steps and put stick in test machine and it booted into the F15 installation menu as expected.

Comment 1 Brian Lane 2011-06-01 17:01:29 UTC
This is probably the culprit:

Installing boot loader
extlinux: cannot find device for path /media/usbdev.1pzoOo/syslinux

on f14 I see:

Installing boot loader
/media/usbdev.Zor2iW/syslinux is device /dev/sdd1

Comment 2 Brian Lane 2011-06-01 20:37:34 UTC
extlinux in f13 doesn't support ext4.

Comment 3 Clyde E. Kunkel 2011-06-02 02:27:18 UTC
OK, livecd-tools-13.3-1.fc13.x86_64 works for me.  Strange to see an ext3 filesystem again, but then, for F13 I guess that is the way you have to go.  Will give +1 karma when it shows up in testing.

Comment 4 Fedora Update System 2011-06-02 15:30:08 UTC
livecd-tools-13.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/livecd-tools-13.3-1.fc13

Comment 5 Fedora Update System 2011-06-02 15:32:00 UTC
livecd-tools-13.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/livecd-tools-13.3-1.el6

Comment 6 Fedora Update System 2011-06-03 05:26:56 UTC
Package livecd-tools-13.3-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing livecd-tools-13.3-1.fc13'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/livecd-tools-13.3-1.fc13
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-06-21 17:10:27 UTC
livecd-tools-13.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Bug Zapper 2011-06-27 11:41:42 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.